#version 420

in vec4 pass_color;
in vec2 pass_tex;

out vec4 frag_color;

layout(binding = 0) uniform sampler2D texture;

void main()
{
	vec4 color = texture2D(texture, pass_tex);
	frag_color = pass_color * color;
}